package com.ruoyi.web.component;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Accessors(chain = true)
@Component
@ConfigurationProperties(prefix = "menjin")
public class CaputreSetting {

    private boolean enable;
    private String host;
    private int port;
    private int brand;
    private String username;
    private String pwd;

    //中午打卡开始时间
    private String starttime;
    //中午打卡结束时间
    private String endtime;
}
